List services material¶
Use /services/materials to retrieve hauling material information of all your services.
URI¶
GET /api/v1/customers/{customerId}/services/materials
Headers¶
| Parameter | Mandatory | Data Type | Allowed Values | Description |
|---|---|---|---|---|
| Request-Tracking-Id | Y | String | Unique Identifier for each request | |
| Authorization | Y | String | Access token | |
| ClientId | Y | String | Will be provided by WM | |
| Accept | N | String | application/json or application/xml | Default is application/json |
Request Parameters:¶
Pass the following parameters in the request.
| Parameter | Mandatory | Data Type | Type | Description |
|---|---|---|---|---|
| customerId | Y | Number | path | Unique Customer Identifier |
Response Fields¶
| Parameter | Data Type | Description |
|---|---|---|
| request_tracking_id | String | Unique identifier for each request |
| services | Object | The service details |
| status | String | Service Status (Active or Inactive) |
| pricing | Object | Pricing details |
| summary_pricing | String | Flag to indicate if summary pricing is needed(true/false) |
| extended_cost_amount | Number | Total amount |
| currency_code | String | Currency code (USD or CAD) |
| disposal_rate_type | String | Type of disposal rate |
| disposal_rate_amount | Number | Amount of disposal rate |
| uom | String | Unit of measure |
Tip
For information about how to test, see How To Test
Sample Request¶
http://api.wm.com/v1/customers/123456789/services/materials
Sample Response¶
{ "request_tracking_id": "123", "services": [ { "id": "1", "status": "Active", "enterprise_catalog": { "id": "3210", "name": "COLL_COM:HAUL uses FL with 8FL for MSCO", "description": "8 Yard Dumpster Service" }, "material": { "id": "166", "code": "MSCO", "name": "MSW Commercial", "special_handling": "false" } }, { "id": "2", "status": "Active", "enterprise_catalog": { "id": "2195", "name": "COLL_COM:HAUL uses FL with 2FY for RECYM", "description": "2 Yard Dumpster Service - Recycle Materials" }, "material": { "id": "161", "code": "RECYM", "name": "Recycle Material", "special_handling": "false" } } ]}